Fix new rubocop warnings
[rails.git] / db / functions / Makefile
1 BUNDLE ?= bundle
2 PG_CONFIG ?= pg_config
3 DESTDIR ?= .
4
5 QTDIR=$(shell ${BUNDLE} show quad_tile | tail -n 1)/ext/quad_tile
6
7 OS=$(shell uname -s)
8 ifeq (${OS},Darwin)
9     LDFLAGS=-bundle
10 else
11     LDFLAGS=-shared
12 endif
13
14 all: ${DESTDIR}/libpgosm.so
15
16 clean:
17         $(RM) ${DESTDIR}/*.so ${DESTDIR}/*.o
18
19 ${DESTDIR}/libpgosm.so: ${DESTDIR}/quadtile.o ${DESTDIR}/maptile.o ${DESTDIR}/xid_to_int4.o
20         cc ${LDFLAGS} -o $@ $^
21
22 ${DESTDIR}/%.o: %.c
23         cc -I `${PG_CONFIG} --includedir` -I `${PG_CONFIG} --includedir-server` -I${QTDIR} -fPIC -O3 -DUSE_PGSQL -c -o $@ $<
24
25 ${DESTDIR}/quadtile.o: ${QTDIR}/quad_tile.h